Complete Cubist login with TOTP code
curl --request POST \
--url https://api.range.org/v2/account-connections/cubist/login/{loginId}/mfa/totp \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"code": "482913"
}
'import requests
url = "https://api.range.org/v2/account-connections/cubist/login/{loginId}/mfa/totp"
payload = { "code": "482913" }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({code: '482913'})
};
fetch('https://api.range.org/v2/account-connections/cubist/login/{loginId}/mfa/totp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"login_id": "<string>",
"mfa_types": [
"<string>"
],
"refresh_token": "<string>",
"expiration": 123
}Cubist Login
Complete Cubist login with TOTP code
POST
/
v2
/
account-connections
/
cubist
/
login
/
{loginId}
/
mfa
/
totp
Complete Cubist login with TOTP code
Authorizations
AuthorizationAuthorization
Authorization method required to allow user to access the api endpoints.
Path Parameters
Body
application/json
Required string length:
6 - 8Example:
"482913"
Last modified on July 22, 2026
Was this page helpful?
⌘I